Package org.oasis_open.docs.ns.xri.xrd_1

# Class ObjectFactory

java.lang.Object
org.oasis_open.docs.ns.xri.xrd_1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.oasis_open.docs.ns.xri.xrd_1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.oasis_open.docs.ns.xri.xrd_1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<AnyURI>`
  `createAlias(AnyURI value)`
  Create an instance of `JAXBElement``<``AnyURI``>`
  `AnyURI`
  `createAnyURI()`
  Create an instance of `AnyURI`
  `javax.xml.bind.JAXBElement<ExpiresType>`
  `createExpires(ExpiresType value)`
  Create an instance of `JAXBElement``<``ExpiresType``>`
  `ExpiresType`
  `createExpiresType()`
  Create an instance of `ExpiresType`
  `javax.xml.bind.JAXBElement<LinkType>`
  `createLink(LinkType value)`
  Create an instance of `JAXBElement``<``LinkType``>`
  `LinkType`
  `createLinkType()`
  Create an instance of `LinkType`
  `javax.xml.bind.JAXBElement<PropertyType>`
  `createProperty(PropertyType value)`
  Create an instance of `JAXBElement``<``PropertyType``>`
  `PropertyType`
  `createPropertyType()`
  Create an instance of `PropertyType`
  `String`
  `createString()`
  Create an instance of `String`
  `javax.xml.bind.JAXBElement<AnyURI>`
  `createSubject(AnyURI value)`
  Create an instance of `JAXBElement``<``AnyURI``>`
  `javax.xml.bind.JAXBElement<TitleType>`
  `createTitle(TitleType value)`
  Create an instance of `JAXBElement``<``TitleType``>`
  `TitleType`
  `createTitleType()`
  Create an instance of `TitleType`
  `javax.xml.bind.JAXBElement<XRDType>`
  `createXRD(XRDType value)`
  Create an instance of `JAXBElement``<``XRDType``>`
  `javax.xml.bind.JAXBElement<XRDSType>`
  `createXRDS(XRDSType value)`
  Create an instance of `JAXBElement``<``XRDSType``>`
  `XRDSType`
  `createXRDSType()`
  Create an instance of `XRDSType`
  `XRDType`
  `createXRDType()`
  Create an instance of `XRDType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.oasis_open.docs.ns.xri.xrd_1

- ## Method Details

  - ### createXRDSType

    public XRDSType createXRDSType()
    Create an instance of `XRDSType`

  - ### createXRDType

    public XRDType createXRDType()
    Create an instance of `XRDType`

  - ### createExpiresType

    public ExpiresType createExpiresType()
    Create an instance of `ExpiresType`

  - ### createAnyURI

    public AnyURI createAnyURI()
    Create an instance of `AnyURI`

  - ### createPropertyType

    public PropertyType createPropertyType()
    Create an instance of `PropertyType`

  - ### createLinkType

    public LinkType createLinkType()
    Create an instance of `LinkType`

  - ### createTitleType

    public TitleType createTitleType()
    Create an instance of `TitleType`

  - ### createString

    public String createString()
    Create an instance of `String`

  - ### createXRDS

    public javax.xml.bind.JAXBElement<XRDSType> createXRDS(XRDSType value)
    Create an instance of `JAXBElement``<``XRDSType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``XRDSType``>`

  - ### createXRD

    public javax.xml.bind.JAXBElement<XRDType> createXRD(XRDType value)
    Create an instance of `JAXBElement``<``XRDType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``XRDType``>`

  - ### createExpires

    public javax.xml.bind.JAXBElement<ExpiresType> createExpires(ExpiresType value)
    Create an instance of `JAXBElement``<``ExpiresType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ExpiresType``>`

  - ### createSubject

    public javax.xml.bind.JAXBElement<AnyURI> createSubject(AnyURI value)
    Create an instance of `JAXBElement``<``AnyURI``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AnyURI``>`

  - ### createAlias

    public javax.xml.bind.JAXBElement<AnyURI> createAlias(AnyURI value)
    Create an instance of `JAXBElement``<``AnyURI``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AnyURI``>`

  - ### createProperty

    public javax.xml.bind.JAXBElement<PropertyType> createProperty(PropertyType value)
    Create an instance of `JAXBElement``<``PropertyType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PropertyType``>`

  - ### createLink

    public javax.xml.bind.JAXBElement<LinkType> createLink(LinkType value)
    Create an instance of `JAXBElement``<``LinkType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LinkType``>`

  - ### createTitle

    public javax.xml.bind.JAXBElement<TitleType> createTitle(TitleType value)
    Create an instance of `JAXBElement``<``TitleType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TitleType``>`